.onoffswitch {
  position: relative;
  width: 75px;
  user-select: none;
}

.onoffswitch-checkbox {
  position: absolute;
  opacity: 0;
  pointer-events: none;
}

.onoffswitch-label {
  display: block;
  overflow: hidden;
  cursor: pointer;
  border-radius: 20px;
}

.onoffswitch-inner {
  display: block;
  width: 200%;
  margin-left: -100%;
  transition: margin 0.3s ease-in 0s;
}

.onoffswitch-inner:before,
.onoffswitch-inner:after {
  display: block;
  float: left;
  width: 50%;
  height: 30px;
  padding: 0;
  line-height: 30px;
  font-size: 14px;
  color: white;
  font-family: Trebuchet, Arial, sans-serif;
  font-weight: bold;
  box-sizing: border-box;
}

.onoffswitch-inner {
  &:before {
    content: "ON";
    padding-left: 10px;
    background-color: var(--accent);
    color: var(--text);
  }

  &:after {
    content: "OFF";
    padding-right: 10px;
    background-color: var(--accent-secondary);
    color: var(--text);
    text-align: right;
  }
}

.onoffswitch-switch {
  display: block;
  width: 18px;
  margin: 6px;
  background: var(--foreground);
  position: absolute;
  top: 0;
  bottom: 0;
  right: 42px;
  border: 2px solid var(--foreground);
  border-radius: 20px;
  transition: all 0.3s ease-in 0s;
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
  margin-left: 0;
}

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
  right: 0px;
}
